package co.yixiang.yshop.module.member.convert.usertagref;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.member.controller.admin.usertagref.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.usertagref.UserTagRefDO;

/**
 * 用户标签中间 Convert
 *
 * @author admin
 */
@Mapper
public interface UserTagRefConvert {

    UserTagRefConvert INSTANCE = Mappers.getMapper(UserTagRefConvert.class);

    UserTagRefDO convert(UserTagRefCreateReqVO bean);

    UserTagRefDO convert(UserTagRefUpdateReqVO bean);

    UserTagRefRespVO convert(UserTagRefDO bean);

    List<UserTagRefRespVO> convertList(List<UserTagRefDO> list);

    PageResult<UserTagRefRespVO> convertPage(PageResult<UserTagRefDO> page);

    List<UserTagRefExcelVO> convertList02(List<UserTagRefDO> list);

}
